Skip to main content
POST
/
api
/
v1
/
loan-accounts
/
{id}
/
repayments
Record repayment
curl --request POST \
  --url https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/repayments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": "<string>",
  "effectiveDate": "<string>",
  "transactionDate": "<string>"
}
'
import requests

url = "https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/repayments"

payload = {
"amount": "<string>",
"effectiveDate": "<string>",
"transactionDate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '<string>', effectiveDate: '<string>', transactionDate: '<string>'})
};

fetch('https://lender.sandbox.lerian.net/api/v1/loan-accounts/{id}/repayments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "allocations": [
    {
      "dueDate": "<string>",
      "feesAmount": "<string>",
      "fullyPaid": true,
      "installmentNumber": 123,
      "interestAmount": "<string>",
      "penaltiesAmount": "<string>",
      "principalAmount": "<string>",
      "totalAmount": "<string>"
    }
  ],
  "appliedAmount": "<string>",
  "backdated": true,
  "effectiveDate": "<string>",
  "loanAccountId": "<string>",
  "overpaymentAmount": "<string>",
  "transactionId": "<string>",
  "requestId": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Headers

X-Request-ID
string

Canonical idempotency request ID. Falls back to X-Idempotency when absent.

Example:

"550e8400-e29b-41d4-a716-446655440010"

X-Idempotency
string

Fallback idempotency request ID used when X-Request-ID is absent.

Example:

"550e8400-e29b-41d4-a716-446655440011"

Path Parameters

id
string<uuid>
required

Loan account identifier (UUID).

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
amount
string
required

Repayment amount in major currency units (e.g. "125.00"). Must be positive with at most 2 fractional digits.

Example:

"125.00"

effectiveDate
string

ISO-8601 or YYYY-MM-DD effective date.

Example:

"2026-06-14"

transactionDate
string

ISO-8601 or YYYY-MM-DD transaction date (fallback when effectiveDate is absent).

Example:

"2026-06-14"

Response

Created

allocations
object[] | null
required

Per-installment allocation breakdown.

appliedAmount
string
required

Amount applied to the loan (2 d.p. string).

Example:

"125.00"

backdated
boolean
required

True if the repayment effective date is before the business date.

effectiveDate
string
required

ISO-8601 effective date applied to the repayment.

Example:

"2026-06-14"

loanAccountId
string
required

Loan account UUID.

Example:

"550e8400-e29b-41d4-a716-446655440000"

overpaymentAmount
string
required

Excess amount above total outstanding (2 d.p. string).

Example:

"0.00"

transactionId
string
required

Recorded repayment transaction UUID.

Example:

"550e8400-e29b-41d4-a716-446655440001"

requestId
string

Idempotency request ID echoed from the request.

Example:

"550e8400-e29b-41d4-a716-446655440010"